Bug 1161087 - [abrt] recoll: formula.py:701:parse:FormulaParserError: unknown token 0x3D
Summary: [abrt] recoll: formula.py:701:parse:FormulaParserError: unknown token 0x3D
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: recoll
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7bcbc9e61d1c248a5199140fc2c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-06 11:12 UTC by Yuri
Modified: 2015-01-20 21:07 UTC (History)
1 user (show)

Fixed In Version: recoll-1.20.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 21:04:15 UTC


Attachments (Terms of Use)
File: backtrace (1.07 KB, text/plain)
2014-11-06 11:12 UTC, Yuri
no flags Details
File: environ (1.87 KB, text/plain)
2014-11-06 11:12 UTC, Yuri
no flags Details

Description Yuri 2014-11-06 11:12:28 UTC
Description of problem:
During the first indexing

Version-Release number of selected component:
recoll-1.19.13-1.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        python2 /usr/share/recoll/filters/xls-dump.py --dump-mode=canonical-xml --utf-8 --catch '/home/yuri/Progetti/Galileo/Maintenance/Manuals/2013.07.24 - GAL-DN-SPO-OPS-X-0912 ( WP2 AR1 DP ) 24-07-2013 tpz gfr tsy vtcb/GAL-RPT-IND-ULS-R-170159_1A_A1a_Annex1a to MC GTR.xls'
executable:     /usr/share/recoll/filters/xls-dump.py
kernel:         3.16.6-203.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
formula.py:701:parse:FormulaParserError: unknown token 0x3D

Traceback (most recent call last):
  File "/usr/share/recoll/filters/xls-dump.py", line 241, in <module>
    main()
  File "/usr/share/recoll/filters/xls-dump.py", line 234, in main
    dumper.dumpCanonicalXML()
  File "/usr/share/recoll/filters/xls-dump.py", line 94, in dumpCanonicalXML
    root.appendChild(wbmodel.createDOM())
  File "/usr/share/recoll/filters/msodump.zip/msodumper/xlsmodel.py", line 67, in createDOM
    sheetNode = sheet.createDOM(self)
  File "/usr/share/recoll/filters/msodump.zip/msodumper/xlsmodel.py", line 392, in createDOM
    self.__appendAutoFilterNode(wb, nd) # autofilter (if exists)
  File "/usr/share/recoll/filters/msodump.zip/msodumper/xlsmodel.py", line 427, in __appendAutoFilterNode
    parser.parse()
  File "/usr/share/recoll/filters/msodump.zip/msodumper/formula.py", line 701, in parse
    raise FormulaParserError("unknown token 0x%2.2X"%b)
FormulaParserError: unknown token 0x3D

Local variables in innermost frame:
self: <msodumper.formula.FormulaParser object at 0x2fa0850>
b: 61

Comment 1 Yuri 2014-11-06 11:12:30 UTC
Created attachment 954417 [details]
File: backtrace

Comment 2 Yuri 2014-11-06 11:12:31 UTC
Created attachment 954418 [details]
File: environ

Comment 3 Fedora Update System 2015-01-10 16:29:38 UTC
recoll-1.20.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/recoll-1.20.1-1.fc21

Comment 4 Fedora Update System 2015-01-10 16:29:48 UTC
recoll-1.20.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/recoll-1.20.1-1.fc20

Comment 5 Fedora Update System 2015-01-11 02:59:18 UTC
Package recoll-1.20.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing recoll-1.20.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0540/recoll-1.20.1-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-01-20 21:04:15 UTC
recoll-1.20.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-01-20 21:07:38 UTC
recoll-1.20.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.